<div class="eh-px-8">
  <div *ngIf="appointment" class="e-card2 e-card2--hover2 eh-mx-auto eh-py-8 eh-mx-4" fxLayout="row"
    fxLayoutAlign="space-evenly">
    <div class="eh-w-56 eh-h-60" fxLayout="column" fxLayoutAlign="space-between center">
      <span>
        {{appointment.sessionStart | date:'EEE':'+0530'}}
      </span>
      <span class="eh-txt-16 ">
        {{appointment.sessionStart | date:'d':'+0530'}}
      </span>
      <span>
        {{appointment.sessionStart | date:'MMM':'+0530'}}
      </span>
    </div>
    <div class="eh-w-120 eh-h-106 eh-pl-16 e-brd e-brd--left " fxLayout="column" fxLayoutAlign="space-between start">
      <div fxLayout="column" fxLayoutAlign="start center">
        <mat-icon class="e-mat-icon e-mat-icon--5">schedule</mat-icon>
        <span class="eh-ml-4 eh-txt-12">
          {{appointment.sessionStart | date:'H:mm':'+0530'}}-{{appointment.sessionEnd | date:'H:mm':'+0530'}}
        </span>
      </div>
      <div fxLayout="row" fxLayoutAlign="start space-between">
        <mat-icon class="e-mat-icon e-mat-icon--5">location_on</mat-icon>
        <span class="eh-ml-4 eh-txt-12">{{appointment.location.name}}</span>
      </div>
      <div fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="e-mat-icon e-mat-icon--5">category</mat-icon>
        <span *ngIf="appointment.type === appointmentTypes.ORIENTATION"
          class="eh-ml-4 e-tag e-tag--matblue500 eh-txt-capital eh-txt-lh1_2">{{appointment.type}}
        </span>
        <span *ngIf="appointment.type === appointmentTypes.RECALL"
          class="eh-ml-4 e-tag e-tag--matcyan500 eh-txt-capital eh-txt-lh1_2">{{appointment.type}}
        </span>
        <span *ngIf="appointment.type === appointmentTypes.ADVANCED_TESTING"
          class="eh-ml-4 e-tag e-tag--matpurple400 eh-txt-capital eh-txt-lh1_2">Testing
        </span>
      </div>
    </div>
    <div class="eh-pr-6" fxLayout="col">
      <div fxFlex="none">
        <app-avatar [userUID]="appointment.staff.uid" [size]="'medium'" [border]="true"
          matTooltip="{{appointment.staff.name}}"></app-avatar>
      </div>
      <div class="eh-h-72" fxLayout="column" fxLayoutAlign="space-between">
        <div class="eh-ml-6" fxLayout="column" fxLayoutAlign="strecth">
          <div class="eh-txt-10 eh-txt">{{appointment.staff.name}}</div>
          <div *ngIf="appointment.type !== appointmentTypes.ADVANCED_TESTING" class="eh-txt-10">Nutritionist</div>
          <div *ngIf="appointment.type === appointmentTypes.ADVANCED_TESTING" class="eh-txt-10">Test Technician</div>
        </div>
        <div *ngIf="showCancel" class="eh-w-100p" fxLayout="row" fxLayoutAlign="start">
          <span class="e-txt e-txt--placeholder eh-txt-italic">Mark as</span>
          <mat-icon class="e-mat-icon e-mat-icon--2 e-mat-icon--error eh-csr-ptr eh-ml-8" #tooltip="matTooltip"
            matTooltip="Cancel Appointment" matTooltipPosition="below" (click)="onCancelClick()">
            cancel
          </mat-icon>
        </div>
        <div *ngIf="appointment.isCompleted" class="eh-w-100p" fxLayout="row" fxLayoutAlign="flex-end center">
          <div *ngIf="appointment.status === appointmentStatuses.ATTENDED" fxLayout="row" fxLayoutAlign="center center">
            <span class="eh-txt-12 e-txt e-txt--matlightgreen800">Attended</span>
            <div class="e-tag e-tag--attended eh-ml-4" matTooltip="Attended">
              <mat-icon class="e-mat-icon e-mat-icon--3">done_outline</mat-icon>
            </div>
          </div>
          <div *ngIf="appointment.status === appointmentStatuses.NO_SHOW" fxLayout="row" fxLayoutAlign="center center">
            <span class="eh-txt-12 e-txt e-txt--warn">No-show</span>
            <div class="e-tag e-tag--no-show eh-ml-4" matTooltip="No-show">
              <mat-icon class="e-mat-icon e-mat-icon--3">person_off</mat-icon>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>